<?php
// require_once 'inc/armazens_locais.php';
require_once 'inc/local_estoque.php';
require_once 'inc/usuario.php';

checkLogin('login.php');

$ds_local = base64_decode($_GET['ds_local']);
$sql_local = "select id from erpc_local_estoque where ds_local = '$ds_local'";
$resultado = mysqli_query($conexao, $sql_local);
if(mysqli_num_rows($resultado)>0){
    $row = mysqli_fetch_row($resultado);
    $id_local = $row[0];
}

if(isset($_GET['id'])){
    $id_crip = $_GET['id'];
    $ds_documento = base64_decode($id_crip);
    
    $sql = "select * from erpc_saldos_enderecar
        	where ds_documento = '$ds_documento'
        		  and vl_saldo_enderecar != 0;";
    
    //$lancamento_inventario = lancamento_inventario_getById($id);
}

$consulta = "select   s.id_produto
                     ,p.ds_produto
                     ,s.vl_saldo_enderecar
                     ,date_format(s.dt_entrada, '%d/%m/%Y') as dt_entrada
                from erpc_saldos_enderecar s
                    inner join erpc_produtos p
                        on s.id_produto = p.id
                    inner join erpc_local_estoque le
                        on s.id_local_estoque = le.id
            	where ds_documento = '$ds_documento'
            		  and vl_saldo_enderecar != 0";

$itens = array();
$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
if(mysqli_num_rows($resultado)>0){
    while($row = mysqli_fetch_assoc($resultado)){
        $item = array(
            'id_produto' => ''
            ,'ds_produto' => ''
            ,'vl_saldo_enderecar' => ''
            ,'dt_entrada' => ''
        );
        $item['id_produto'] = $row['id_produto'];
        $item['ds_produto'] = $row['ds_produto'];
        $item['vl_saldo_enderecar'] = $row['vl_saldo_enderecar'];
        $item['dt_entrada'] = $row['dt_entrada'];
        array_push($itens, $item);
    }
}

// print($local_estoque['tiporelatorio']);
// print_r($local_estoque);

?>
<div class="block">
    <div class="header">
      <h2>Impressão Lista de Produtos</h2>
</div>
<table cellspacing="10" cellpadding="5" border="1" width="90%">
          <thead>
            <tr>
              <th width=25%>Cód. Prod.</th>
              <th width=50%>Descrição do Produto</th>
              <th width=25%>Qtde</th>
            </tr>
          </thead>
          <tbody>
     <?php 
        $i = 0;
           if (count($itens)>0) {
                  foreach($itens as $item){
                      $id_produto = $item['id_produto'];
                      $ds_produto = $item['ds_produto'];
                      $vl_saldo_enderecar = $item['vl_saldo_enderecar'];
                      //$st_bloq= $registro['st_bloq'];
                      //$st_bloq_saldo= $registro['st_bloq_saldo'];
                      //$ds_tipo_produto = $registro['ds_tipo_produto'];
    
                      echo "<tr>";
                          echo "<td width=20%>$id_produto</td>";
                          echo "<td width=50%>$ds_produto</td>";
                          echo "<td width=30%>$vl_saldo_enderecar</td>";
                      echo "</tr>";
                  }
            }
        ?>
  </tbody>
</table>
<style>
tr {
    text-align: left;
}

</style>

